VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
IAudioPresentationLatency Class Referenceabstract

Extended IAudioProcessor interface for a component: Vst::IAudioPresentationLatency. More...

`#include <ivstaudioprocessor.h>`

Inheritance diagram for IAudioPresentationLatency:

## Public Member Functions
virtual tresult | setAudioPresentationLatencySamples (BusDirection dir, int32 busIndex, uint32 latencyInSamples)=0
| Informs the plug-in about the Audio Presentation Latency in samples for a given direction (kInput/kOutput) and bus index. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended IAudioProcessor interface for a component: Vst::IAudioPresentationLatency.

- [plug imp]
- [extends IAudioProcessor]
- [released: 3.1.0]
- [optional]

Inform the plug-in about how long from the moment of generation/acquiring (from file or from Input) it will take for its input to arrive, and how long it will take for its output to be presented (to output or to speaker).

Note for Input Presentation Latency: when reading from file, the first plug-in will have an input presentation latency set to zero. When monitoring audio input from an audio device, the initial input latency is the input latency of the audio device itself.

Note for Output Presentation Latency: when writing to a file, the last plug-in will have an output presentation latency set to zero. When the output of this plug-in is connected to an audio device, the initial output latency is the output latency of the audio device itself.

A value of zero either means no latency or an unknown latency.

Each plug-in adding a latency (returning a none zero value for IAudioProcessor::getLatencySamples) will modify the input presentation latency of the next plug-ins in the mixer routing graph and will modify the output presentation latency of the previous plug-ins.

See also
  IAudioProcessor
  IComponent

## Member Function Documentation

## ◆ setAudioPresentationLatencySamples()

virtual tresult setAudioPresentationLatencySamples | ( | BusDirection | dir,
|  | int32 | busIndex,
|  | uint32 | latencyInSamples
| ) |  |
| pure virtual

Informs the plug-in about the Audio Presentation Latency in samples for a given direction (kInput/kOutput) and bus index.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.